### Method

# WPEWebKit NetworkSession set_proxy_settings

since: 2.40

#### Declaration [src]

    void
    webkit_network_session_set_proxy_settings (
      WebKitNetworkSession* session,
      WebKitNetworkProxyMode proxy_mode,
      WebKitNetworkProxySettings* proxy_settings
    )

#### Description [src]

Set the network proxy settings to be used by connections started in `session` session.

By default `WEBKIT_NETWORK_PROXY_MODE_DEFAULT` is used, which means that the system settings will be used (g_proxy_resolver_get_default()). If you want to override the system default settings, you can either use `WEBKIT_NETWORK_PROXY_MODE_NO_PROXY` to make sure no proxies are used at all, or `WEBKIT_NETWORK_PROXY_MODE_CUSTOM` to provide your own proxy settings. When `proxy_mode` is `WEBKIT_NETWORK_PROXY_MODE_CUSTOM` `proxy_settings` must be a valid `WebKitNetworkProxySettings`; otherwise, `proxy_settings` must be `NULL`.

Available since: 2.40

#### Parameters

`proxy_mode`

  Type: `WebKitNetworkProxyMode`

  A `WebKitNetworkProxyMode`.

`proxy_settings`

  Type: `WebKitNetworkProxySettings`

  A `WebKitNetworkProxySettings`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.